package cn.com.countrygarden.bi.main.service.message;

import cn.com.countrygarden.bi.main.dto.message.SmsTemplateUpdateRO;

public interface SmsTemplateService {
    /**
     * 添加数据
     * @param ro
     * @return
     */
    boolean add(SmsTemplateUpdateRO ro);

    /**
     * 修改数据
     * @param ro
     * @return
     */
    boolean edit(SmsTemplateUpdateRO ro);

    /**
     *  根据模板编号构建短信模板
     * @param templateCode
     * @param param
     * @return
     */
    String buildSms(String templateCode, String... param);
}
